VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} RelocateDlg 
   Caption         =   "   "
   ClientHeight    =   1740
   ClientLeft      =   120
   ClientTop       =   465
   ClientWidth     =   6840
   OleObjectBlob   =   "RelocateDlg.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "RelocateDlg"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private prefixInit_ As String
Private fso_ As Scripting.FileSystemObject

Public isCancelled_ As Boolean

Private Sub UserForm_Initialize()
  isCancelled_ = True
  Set fso_ = New Scripting.FileSystemObject
End Sub

Public Function Init(sFilesLocation$)
  prefixInit_ = sFilesLocation
End Function

Public Property Get Path() As String
  Path = TBTargetPath.Text
End Property

Public Property Get Prefix() As String
  Prefix = TBPrefix.Text
End Property

' ====== Internal API
Private Sub OkBtn_Click()
  If Not ValidateData Then
    Call UserInteraction.ShowMessage(EM_RELOCATE_DATA_FAIL)
  Else
    isCancelled_ = False
    Call Me.Hide
  End If
End Sub

Private Sub CancelBtn_Click()
  isCancelled_ = True
  Call Me.Hide
End Sub

Private Sub BtnPrefix_Click()
  Dim sFolder$: sFolder = UserInteraction.PromptFolder(prefixInit_ & "\")
  If sFolder <> vbNullString Then _
    TBPrefix.Text = sFolder
End Sub

Private Sub BtnTargetPath_Click()
  Dim sFolder$: sFolder = UserInteraction.PromptFolder(ThisWorkbook.Path & "\")
  If sFolder <> vbNullString Then _
    TBTargetPath.Text = sFolder
End Sub

' =====
Private Function ValidateData() As Boolean
  ValidateData = False
  
  Dim sPath$: sPath = Path
  If sPath = vbNullString Then _
    Exit Function
  If Not fso_.FolderExists(sPath) Then _
    Exit Function
    
  ValidateData = True
End Function
