Attribute VB_Name = "Declarations"
Option Private Module
Option Explicit

Public Const APP_HELP = "\\fs1.concept.ru\projects\10  \02  \!\Excel.docx"

Public Const CONCEPT_LOCAL_HOME = ".concept"
Public Const CONCEPT_SERVER_HOME = "\\fs1.concept.ru\projects\10  \!Concept"

Public Const CONCEPT_BANNED_WORDS = "banned-words.txt"

Public Const SERVER_TEMPLATES_FOLDER = "\\fs1.concept.ru\Data\Templates"
Public Const LOCAL_TEMPLATES_FOLDER = "Microsoft\"

Public Const PROJECTS_FIRST_ROW = 2
Public Const VISIO_DEFAULT_GAP = 0.254

' Matching mode
Public Enum TMatchMode
  T_MM_DEFAULT = 1
  T_MM_SPACE_LEFT = 2
  T_MM_SPACE_RIGHT = 3
  T_MM_SPACE_BOTH = 4
End Enum

' Word Addins
Public Enum TWordAddin
  [_First] = 1
  
  T_WA_CONCEPT = 1
  T_WA_NPA = 2
  T_WA_MARKUP = 3
  T_WA_PARSERS = 4
  T_WA_MAKET = 5
  
  [_Last] = 5
End Enum

Public Function ProductNameFromID(nID As TWordAddin) As String
  Select Case nID
  Case T_WA_CONCEPT: ProductNameFromID = "WordHelper"
  Case T_WA_NPA: ProductNameFromID = "Concept-NPA"
  Case T_WA_MARKUP: ProductNameFromID = "Concept-Markup"
  Case T_WA_PARSERS: ProductNameFromID = "Concept-Mining"
  Case T_WA_MAKET: ProductNameFromID = "Concept-Maket"
  End Select
End Function
