VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "LinksOutput"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private out_ As Excel.Range
Private mask_ As String

Public countAdded_ As Long
Public countAll_ As Long

Public Function Init(iOut As Excel.Range, sMask$)
  Set out_ = iOut
  countAdded_ = 0
  countAll_ = 0
  mask_ = sMask
End Function

Public Function ProcessFile(iFile As Scripting.File)
  countAll_ = countAll_ + 1
  If Not iFile.Path Like mask_ Then _
    Exit Function
  
  Dim iCell As Excel.Range: Set iCell = out_.Offset(countAdded_, 0)
  iCell = iFile.Path
  
  On Error Resume Next
  Call iCell.Hyperlinks.Add(iCell, iFile.Path)
  countAdded_ = countAdded_ + 1
End Function
